
$(document).ready(function () {
  // add the red dot to the page.
  var img = '<img id="poll-image" src="resources/circle.png" style="position: absolute; left: 670px; top: 70px; width: 20px;" />';
  
  $('#wrapper').append(img);
  
  $("#poll-image").draggable({
      stop: function (event, ui) {
        if (!$('#poll-image').hasClass('poll-taken')) {
          $('#poll-image').css({left: '670px', top: '70px'});
        }
      }
    }
  );
  
  $("#prompt-image").droppable({
    drop: function(event, ui) {
      var x = parseInt($('#poll-image').css('left'));
      var y = parseInt($('#poll-image').css('top'));
      var pid = $('#prompt-image').attr('alt').replace('pid-', '');
      
      $('#poll-image').addClass('poll-taken').unbind();
      
      $.ajax({
        url: "response.php",
        data: {"x" : x, "y" : y, "pid" : pid},
        type: "POST",
        success: function(data, textStatus, jqXHR) {
          debug(data);
        },
        
        error: function(jqXHR, textStatus, errorThrown) {
          alert(errorThrown);
          $("#poll-image").draggable();
        }
        
      });
      
      
    }
  });
});

function debug(message) {
  $('#debug').append(message);
}