<?php include('includes/database.php'); ?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>View responses</title>
  <script type="text/javascript" src="resources/jquery/jquery-1.8.3.js"></script>
  <script type="text/javascript" src="resources/jquery/js/jquery-ui-1.9.2.custom.js"></script>
  <script type="text/javascript" src="resources/js/responses.js"></script>
  <link type="text/css" rel="stylesheet" media="all" href="resources/style.css" />
</head>
</html>
<body>
<!-- This file displays the results of the poll -->
<?php

$response = $_GET['q'];

// validate the poll
if (strlen($response) != 5 || !ctype_alpha($response) ) {
  print 'Invalid poll string';

// poll is a valid string
// now check to see if it exists in the database
} else {

  // load the data
  $row = db_fetch_array(db_query("SELECT * FROM prompts WHERE responses = '" . $response . "';"));
  
  // default timestamp
  $timestamp = $row[0]['timestamp'];
  
  // get the prompt, which should be safe to display
  $prompt = $row[0]['prompt'];

  // start the output
  print '<div id="page-wrapper">';
  print '<div id="wrapper">';
  print '<img src="' . $row[0]['image'] . '" alt="pid-' . $row[0]['pid'] . '" id="prompt-image"/>';
  
  $result = db_query("SELECT * FROM responses WHERE pid = " . $row[0]['pid'] . " ORDER BY timestamp ASC;");
 
  // loop through the existing responses and display them
  $responses = db_fetch_array($result);
  foreach ($responses as $response) {
    print '<img src="resources/circle.png" style="position: absolute; left: ' . $response['x'] . 'px; top: ' . $response['y'] . 'px; width: 20px;" />';
    $timestamp = $response['timestamp'];
  }
  
  print '</div>';
  print '<div id="prompt">Prompt:' . $prompt . '</div>';
  print '<div id="hint">Responses to this prompt should show here.</div>';
  print '<div id="debug">';
  print '</div>';
  print '</div>';
  
  print '<div id="mostRecentTimestamp">' . $timestamp . '</div>';
}

?>
</body>