<?php  include('includes/database.php'); ?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>View gallery</title>
  <script type="text/javascript" src="resources/jquery/jquery-1.8.3.js"></script>
  <script type="text/javascript" src="resources/jquery/js/jquery-ui-1.9.2.custom.js"></script>
  <script type="text/javascript" src="resources/js/gallery.js"></script>
  <link type="text/css" rel="stylesheet" media="all" href="resources/style.css" />
</head>
</html>
<body>
  <!-- This file will show thumbnails for all of the prompts used, as well as links to the responses -->
  <?php
    
    $result = db_query("SELECT * FROM prompts");
    
    $thumbnails = db_fetch_array($result);
    
    // start the table
    $output = '<div id="page-wrapper">';
    $output .= '<p>Back to <a href="index.php">upload page</a>. Please email me at davidwees AT gmail DOT com if you see any inappropriate images here.</p>';
    $output .= "<table>\n";
    
    
    $count = 0;
    foreach ($thumbnails as $thumbnail) {
      
      // create a new table row
      if ($count % 4 == 0) {
        $output .= "<tr>\n";
      }
      
      // add the thumbnail
      $output .= "<td>\n";
      $output .= "<div class='image-wrapper'><img src='" . $thumbnail['thumbnail'] . "' /></div><br />\n";
      $output .= "<div class='link-holder'><a href='poll.php?q=" . $thumbnail['poll'] . "'>Poll</a> | ";
      $output .= "<a href='view.php?q=" . $thumbnail['responses'] . "'>Responses</a></div>";
      $output .= "</td>\n";
      
      // end the current row
      if ($count % 4 == 3) {
        $output .= "</tr>\n";
      }
      
      $count++;
    }
    
    // end the table
    $output .= '</table>';
    $output .= '</div>';
    
    print $output;
  
  ?>
</body>