<?php

include('includes/config.php');

function db_query($query) {
  global $ACTIVEPROMPT_SERVER, $ACTIVEPROMPT_USERNAME, $ACTIVEPROMPT_PASSWORD, $ACTIVEPROMPT_DATABASE;
  $result = '';
  
  $link = mysqli_connect($ACTIVEPROMPT_SERVER, $ACTIVEPROMPT_USERNAME, $ACTIVEPROMPT_PASSWORD);
  
  // check for mysql safe here
  // $query = mysqli_real_escape_string($link, $query);
  
  if ($link) {
    $db_selected = mysqli_select_db($link, $ACTIVEPROMPT_DATABASE);
  } else {
    print 'Problem connecting to database: ' . $ACTIVEPROMPT_DATABASE . '<br />';
    print mysqli_error($link);
  }
  
  if ($db_selected) {
    $result = mysqli_query($link, $query);
  } else {
    print 'Problem connecting to database: ' . $ACTIVEPROMPT_DATABASE . '<br />';
    print mysqli_error($link);
  }
  
  if ($link) {
    print mysqli_error($link);
  }
  
  if ($link) {
    mysqli_close($link);
  }

  
  return $result;
}

function db_fetch_array($result) {
  if ($result) {
	  $rows = array();
	  while($row = mysqli_fetch_array($result, MYSQL_ASSOC)) {
		  $rows[] = $row;
		}
    
    return $rows;
  }
}

function random_string() {
  $arr = str_split('ABCDEFGHIJKLMNOPQRSTUVWXYZ'); // get all the characters into an array
  shuffle($arr); // randomize the array
  $arr = array_slice($arr, 0, 5); // get the first five (random) characters out
  return implode('', $arr); // smush them back into a string
}

?>