
var timerID;
var count = 0;

$(document).ready(function () {
  
  // poll once a second to see if there is any new data
  timerID = setInterval(checkNewResponses, 1000);
  
});

function checkNewResponses() {
  //if (count > 0) {
  //  return;
  // }
  var timestamp = $('#mostRecentTimestamp').html();
  var pid = $('#prompt-image').attr('alt').replace('pid-', '');
  
  $.ajax({
    url: "response.php",
    data: {"timestamp" : timestamp, "pid" : pid},
    dataType: 'json',
    type: "POST",
    
    success: function(data, textStatus, jqXHR) {
      
      var images = [];

      $.each(data, function(key, val) {
        //debug(key);
        if (key != 'timestamp') {
          images.push('<img src="resources/circle.png" style="position: absolute; left: ' + val['x'] + 'px; top: ' + val['y'] + 'px; width: 20px;" />');
        } else {
          $('#mostRecentTimestamp').html(val);
        }
      });
      
      var output = images.join(' ');

      $('#wrapper').append(output);
    },
      
    error: function(jqXHR, textStatus, errorThrown) {
      clearInterval(timerID);
      debug('Connection to server lost. Please refresh this page.');
    }
        
  });
  
  count++;
}

function debug(message) {
  $('#debug').append(message);
}