<?php
// This file collects results from the poll for later display
// It also updates the view of the display with the current information
include('includes/database.php');

$x = false;
if (isset($_POST['x']) && is_numeric($_POST['x'])) {
  $x = $_POST['x'];
}

$y = false;
if (isset($_POST['y']) && is_numeric($_POST['y'])) {
  $y = $_POST['y'];
}

$pid = false;
if (isset($_POST['pid']) && is_numeric($_POST['pid'])) {
  $pid = $_POST['pid'];
}

$timestamp = false;
if (isset($_POST['timestamp']) && is_numeric($_POST['timestamp'])) {
  $timestamp = $_POST['timestamp'];
}

// handle cases where a poll response has been received
if (is_numeric($x) && is_numeric($y) && is_numeric($pid)) {

  // update the database with the new response
  db_query("INSERT INTO responses (pid, x, y, timestamp) VALUES (" . $pid . "," . $x . "," . $y . "," . time() . ");");
  
  // send a message back to the user that their response has been received
  print '<div class="message">Position recorded.</div>';
  

// send out all new poll responses
} else if (is_numeric($timestamp)) {
  
  $result = db_query("SELECT * FROM responses WHERE pid = " . $pid . " AND timestamp > " . $timestamp . " ORDER BY timestamp ASC;");
  
  $responses = db_fetch_array($result);
  
  // add the respons
  $data = array();
  foreach ($responses as $response) {
    $data[] = array(
      'x' => $response['x'], 
      'y' => $response['y']
    );
    
    $timestamp = $response['timestamp'];
  }
  
  // add the most recent timestamp
  // bonus: if there are no results, the timestamp will still be the original timestamp
  $data['timestamp'] = $timestamp;
  
  print json_encode($data);
}

?>